#pragma once
#include "node.h"
#include "texture.h"

class NodeImageTexture : public Node
{
public:
    std::shared_ptr<Texture2D> tex;
    virtual Node* clone_instantiate() const override;
    virtual void clone_copy(Node* dest) const override;
    virtual void draw() override;
};
